GET /api/pro/work/:id

One claimed order: the brief whole, the screening, an age and a language.

Surface: professional. Who may call: professional. Key: professional.work.get.

Example request

curl -X GET https://caremcp.com/api/pro/work/7d1f0a0e-2c4b-4c7e-9a6e-000000000001 \
  -H "Authorization: Bearer <session or access token>"

Example input

{
  "id": "7d1f0a0e-2c4b-4c7e-9a6e-000000000001"
}

Input schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "object",
 "properties": {
  "id": {
   "type": "string",
   "format": "uuid",
   "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
  }
 },
 "required": [
  "id"
 ]
}

Output schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "object",
 "properties": {
  "orderId": {
   "type": "string"
  },
  "protocol": {
   "type": "string"
  },
  "professions": {
   "type": "array",
   "items": {
    "type": "string"
   }
  },
  "status": {
   "type": "string",
   "enum": [
    "queued",
    "assigned",
    "reviewed",
    "refused"
   ]
  },
  "screening": {
   "type": "object",
   "properties": {
    "tier": {
     "anyOf": [
      {
       "type": "number",
       "const": 1
      },
      {
       "type": "number",
       "const": 2
      },
      {
       "type": "number",
       "const": 3
      }
     ]
    },
    "flags": {
     "type": "array",
     "items": {
      "type": "string"
     }
    }
   },
   "required": [
    "tier",
    "flags"
   ],
   "additionalProperties": false
  },
  "brief": {},
  "age": {
   "anyOf": [
    {
     "type": "integer",
     "minimum": -9007199254740991,
     "maximum": 9007199254740991
    },
    {
     "type": "null"
    }
   ]
  },
  "language": {
   "type": "string",
   "pattern": "^[a-z]{2}(-[A-Z]{2})?$"
  },
  "payoutCents": {
   "type": "integer",
   "minimum": -9007199254740991,
   "maximum": 9007199254740991
  },
  "reservedUntil": {
   "type": [
    "string",
    "null"
   ]
  },
  "createdAt": {
   "type": "string"
  },
  "claimedAt": {
   "type": [
    "string",
    "null"
   ]
  }
 },
 "required": [
  "orderId",
  "protocol",
  "professions",
  "status",
  "screening",
  "brief",
  "age",
  "language",
  "payoutCents",
  "reservedUntil",
  "createdAt",
  "claimedAt"
 ],
 "additionalProperties": false
}